%global momorel 1

%global major 2
%global minor 4.1
%global patchver 090712
%global sfrepoid 41293

%global category Network
%global icondir %{_datadir}/icons/hicolor/96x96/apps/

%global ver %{major}.%{minor}
%global srcversion %{major}.%{minor}-%{patchver}

Summary: jd - 2ch browser
Name: jd
Epoch: 1
Version: %{ver}
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Internet
URL: http://sourceforge.jp/projects/jd4linux/
Source0: http://dl.sourceforge.jp/jd4linux/%{sfrepoid}/%{name}-%{srcversion}.tgz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: glibmm pango
Requires: fonts-japanese
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: gtkmm-devel >= 2.8.8
BuildRequires: libtool
BuildRequires: zlib
BuildRequires: glibmm-devel
BuildRequires: pango-devel
BuildRequires: gnutls-devel >= 2.4.1
BuildRequires: desktop-file-utils
BuildRequires: libSM-devel
BuildRequires: oniguruma-devel
PreReq: gnome-icon-theme

%description
jd is a 2ch browser.

%prep 
%setup -q -n %{name}-%{srcversion}

%build
./autogen.sh

# set TZ for __TIME__
export TZ='Asia/Tokyo'

%configure --with-oniguruma
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__mkdir_p} %{buildroot}%{icondir}

%{__install} -p -m 644 %{name}.png %{buildroot}%{icondir}

desktop-file-install \
   --vendor= \
   --dir %{buildroot}%{_datadir}/applications \
   --remove-category X-Red-Hat-Base \
   --remove-category Application \
   %{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS COPYING README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{icondir}/*

%changelog
* Mon Jul 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1-090712

* Tue Jun 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.1-0.1.1m)
- update to 2.4.1-beta090628

* Sat May 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.0-1m)
- update to 2.4.0-090522

* Fri Mar  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3.0-1m)
- update to 2.3.0-090305

* Sun Feb 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0-090212

* Fri Feb 13 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.0-3m)
- add PreReq: gnome-icon-theme (for %%post)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-2m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0-081228
- add BuildRequires: oniguruma-devel
- License: GPLv2+

* Tue Nov 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.3-1m)
- update to 2.0.3-081124

* Sat Sep 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2-080919

* Mon Sep 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1-080914

* Sat Jul 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0-080722

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-0.20080418.2m)
- rebuild against gnutls-2.4.1

* Sun Apr 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-0.20080418.1m)
- update to 2.0.0-beta080418

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.9-0.20080225.2m)
- rebuild against gcc43

* Mon Mar  3 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.9-0.20080225.1m)
- update to 1.9.9-beta080225

* Sat Jan  5 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.8-2m)
- change to BuildRequires: gnutls-devel

* Sat Jan  5 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.8-1m)
- update

* Wed Jul 11 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.5-1m)
- update

* Sun Feb 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.8.5-0.20061227.2m)
- add Epoch: 1

* Wed Dec 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.5-0.20061227.1m)
- update to jd-1.8.5-beta061227.tgz

* Sun Dec 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.1-0.20061217.1m)
- update to jd-1.8.1-061217.tgz

* Sun Dec 02 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.1-0.20061202.1m)
- update to jd-1.8.1-beta061202.tgz

* Tue Nov 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.0-1m)
- update to 1.8.0 release (061114)

* Thu Nov 09 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.0-0.0.20061108.1m)
- update

* Fri Nov 03 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.0-0.0.20061103.1m)
- update

* Mon Oct 09 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.8.0-0.0.20061009.1m)
- update

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0-0.0.20060926.2m)
- fix desktop-file-install category 

* Wed Sep 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0-0.0.20060926.1m)
- update 1.7 release version

* Thu Sep 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0.060926-1m)
- update

* Thu Sep 21 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.0.060921-1m)
- update

* Thu Sep 14 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.70b.060914-1m)
- update

* Sun Sep 03 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.52b.060903-1m)
- update

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.52b.060827-2m)
- rebuild against expat-2.0.0-1m

* Sun Aug 27 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.52b.060827-1m)
- update

* Tue Aug 15 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.52b.060803-1m)
- update

* Sun Jul 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.51.060717-1m)
- update to current tarball

* Sat Jun 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.51.060611-1m)
- update to current tarball

* Sat Jun 03 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.50.060528-2m)
- update to 1.50.060601 release version
- change URL to sourceforge.net and No NoSource avoid sf.net problem

* Sun May 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5rc.060528-2m)
- update to 15rc060528

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5b.060518-2m)
- rebuild against gtkmm-2.8.8

* Fri May 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060518-1m)
- update to 15b060518

* Sun Apr 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060425-1m)
- update to 15b060425

* Sun Feb 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5b.060226-1m)
- update to 15b060226
- delete Patch0: jd-10060101-gcc41.patch

* Mon Jan 02 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.060101-2m)
- add gcc41 patch
- Patch0: jd-10060101-gcc41.patch

* Mon Jan 02 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.060101-1m)
- import to Momonga
